public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/File-Pid/
@ 2014-07-22  0:02 Kent Fredric
  0 siblings, 0 replies; only message in thread
From: Kent Fredric @ 2014-07-22  0:02 UTC (permalink / raw
  To: gentoo-commits

commit:     4f88be35f3ce539bc87045aeea0ac180407ce486
Author:     mudler <mudler <AT> dark-lab <DOT> net>
AuthorDate: Mon Jul 21 13:57:03 2014 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Mon Jul 21 23:33:20 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=4f88be35

[added] File::Pid

Package-Manager: portage-2.2.8-r1
Manifest-Sign-Key: B5F1512B

---
 dev-perl/File-Pid/ChangeLog              |  9 +++++++++
 dev-perl/File-Pid/File-Pid-1.10.0.ebuild | 34 ++++++++++++++++++++++++++++++++
 dev-perl/File-Pid/metadata.xml           | 13 ++++++++++++
 3 files changed, 56 insertions(+)

diff --git a/dev-perl/File-Pid/ChangeLog b/dev-perl/File-Pid/ChangeLog
new file mode 100644
index 0000000..dd27734
--- /dev/null
+++ b/dev-perl/File-Pid/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for dev-perl/File-Pid
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*File-Pid-1.10.0 (21 Jul 2014)
+
+  21 Jul 2014; mudler <mudler@dark-lab.net>
+  +File-Pid-1.10.0.ebuild, +metadata.xml:
+  [added] File::Pid

diff --git a/dev-perl/File-Pid/File-Pid-1.10.0.ebuild b/dev-perl/File-Pid/File-Pid-1.10.0.ebuild
new file mode 100644
index 0000000..15dd608
--- /dev/null
+++ b/dev-perl/File-Pid/File-Pid-1.10.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=CWEST
+MODULE_VERSION=1.01
+inherit perl-module
+
+DESCRIPTION='Pid File Manipulation'
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_runtime() {
+	# Class::Accessor::Fast 0.19 ( 0.190.0 )
+	echo \>=dev-perl/Class-Accessor-0.190.0
+}
+perl_meta_test() {
+	# Test::More
+	echo virtual/perl-Test-Simple
+}
+perl_meta_configure() {
+	# ExtUtils::MakeMaker
+	echo virtual/perl-ExtUtils-MakeMaker
+}
+DEPEND="
+	$(perl_meta_runtime)
+	$(perl_meta_configure)
+	test? ( $(perl_meta_test) )
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"

diff --git a/dev-perl/File-Pid/metadata.xml b/dev-perl/File-Pid/metadata.xml
new file mode 100644
index 0000000..3bdf206
--- /dev/null
+++ b/dev-perl/File-Pid/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>perl</herd>
+	<maintainer>
+		<email>mudler@dark-lab.net</email>
+		<name>mudler</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="cpan">File-Pid</remote-id>
+		<remote-id type="cpan-module">File::Pid</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2014-07-22  0:02 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-07-22  0:02 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/File-Pid/ Kent Fredric

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox